GET/projects/api/v3/containers.json

Get all containers.

This returns all containers in the installation. You can limit output by provided filters. Default data pagination is 50 items per page.

Query Params

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    types
    Type
    array[string]
    Description

    filter by type

    Format
    Comma separated values
    Allowed values
    • dashboard
    • insights
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
  • Name
    containerIDs
    Type
    array[integer]
    Description

    filter by ids

    Format
    Comma separated values
  • Name
    appRoutes
    Type
    array[string]
    Description

    filter by app route

    Format
    Comma separated values
    Allowed values
    • projecthealth
    • playground
    • playgrounddashboard

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    ContainersResponse contains information about a group of containers.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

ContainersResponse
{
  "containers": [
    {
      "appRoute": "string",
      "createdAt": "string",
      "createdByUser": 0,
      "description": "string",
      "id": 0,
      "isVisible": true,
      "name": "string",
      "ownerId": 0,
      "type": "string",
      "updatedAt": "string",
      "updatedByUser": 0,
      "widgets": [
        {
          "config": "string",
          "createdAt": "string",
          "createdByUser": 0,
          "description": "string",
          "height": 0,
          "id": 0,
          "name": "string",
          "posX": 0,
          "poxY": 0,
          "type": "string",
          "updatedAt": "string",
          "updatedByUser": 0,
          "width": 0
        }
      ]
    }
  ],
  "included": {},
  "meta": {
    "averageSpend": 0,
    "data": {},
    "limit": 0,
    "nextCursor": "string",
    "page": {
      "count": 0,
      "hasMore": true,
      "pageOffset": 0,
      "pageSize": 0
    },
    "prevCursor": "string",
    "totalCapacity": 0
  }
}